import dayjs from 'dayjs/esm';

import { IPeriod, NewPeriod } from './period.model';

export const sampleWithRequiredData: IPeriod = {
  id: 28671,
  name: 'likely dull modulo',
  beginDate: dayjs('2024-10-14'),
  endDate: dayjs('2024-10-15'),
  state: 'REOPEN',
  creationDate: dayjs('2024-10-14T10:52'),
  creationUsername: 'when pack barring',
};

export const sampleWithPartialData: IPeriod = {
  id: 6405,
  name: 'ouch a',
  beginDate: dayjs('2024-10-14'),
  endDate: dayjs('2024-10-14'),
  state: 'OPEN',
  creationDate: dayjs('2024-10-14T14:00'),
  creationUsername: 'quickly conciliate anxiously',
};

export const sampleWithFullData: IPeriod = {
  id: 2883,
  name: 'phew',
  description: 'sparse cramp',
  beginDate: dayjs('2024-10-15'),
  endDate: dayjs('2024-10-14'),
  state: 'OPEN',
  creationDate: dayjs('2024-10-14T22:19'),
  creationUsername: 'hence maunder between',
  version: 31356,
};

export const sampleWithNewData: NewPeriod = {
  name: 'athwart',
  beginDate: dayjs('2024-10-14'),
  endDate: dayjs('2024-10-14'),
  state: 'REOPEN',
  creationDate: dayjs('2024-10-14T23:19'),
  creationUsername: 'mmm swiftly overlook',
  id: null,
};

Object.freeze(sampleWithNewData);
Object.freeze(sampleWithRequiredData);
Object.freeze(sampleWithPartialData);
Object.freeze(sampleWithFullData);
